Vizitown

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables
Public Member Functions | Public Attributes | List of all members
vizitown_plugin.vizitowndialog.VizitownDialog Class Reference

Class VizitownDialog Vizitown dialog in QGIS GUI and Unherited QtGui.QDialog and Ui_Vizitown. More...

Inheritance diagram for vizitown_plugin.vizitowndialog.VizitownDialog:
Collaboration diagram for vizitown_plugin.vizitowndialog.VizitownDialog:

## Public Member Functions
def | __init__
| Constructor. More...
def | init_extent
| init_extent method Set the default extent More...
def | set_limit_sb
| set_limit_sb method Set the limit of the doublespinbox in the tab extent More...
def | init_tile_size
| init_tile_size method Set the values of the tile by default More...
def | init_layers
| init_layers method Init combobox and table layers More...
def | reset_all_fields
| reset_all_fields method Reset all widgets More...
def | has_dem
| has_dem method Check if a dem is generate More...
def | has_texture
| has_texture method Check if a texture is generate More...
def | has_raster
| has_raster method Check if a raster is generate More...
def | has_vector
| has_vector method Check if a vector is existing More...
def | has_data
| has_data method Check if a data is generate or existing More...
def | add_vector_layer
| add_vector_layer method Add vector layer in QTableWidget More...
def | get_size_tile
| get_size_tile method Get the size tile selected by the user More...
def | get_gui_extent
| get_gui_extent method Get the extent specified in the GUI or if the fields filled by the user are incoherent it's the extent of current view of QGIS More...
def | get_selected_layers
| get_selected_layers method Get all layers checked in the GUI and the associated informations More...
def | on_btn_default_released
| on_btn_default_released method Set the tab advanced option by default QtGui.QDialog More...
def | on_btn_generate_released
| on_btn_generate_released method Generate and launch the rendering of the 3D scene QtGui.QDialog More...
def | instantiate_providers
| instantiate_providers method Create providers in function of the existed data More...
def | calculate_size_extent
| calculate_size_extent method Calculate the width and the height in kilometers More...
def | closeEvent
| closeEvent method Behavior whit a close event QtGui.QDialog More...

## Public Attributes
| appServer
| appServerRunning
| GDALprocess
| zoomLevel
| parameters
| providerManager
| extent

## Detailed Description

Class VizitownDialog Vizitown dialog in QGIS GUI and Unherited QtGui.QDialog and Ui_Vizitown.

## Constructor & Destructor Documentation

def vizitown_plugin.vizitowndialog.VizitownDialog.__init__ | ( |  | self,
|  |  | extent
| ) |  |

Constructor.

Parameters

  extent | the initial extent

## Member Function Documentation

def vizitown_plugin.vizitowndialog.VizitownDialog.add_vector_layer | ( |  | self,
|  |  | item,
|  |  | columnInfoLayer
| ) |  |

add_vector_layer method Add vector layer in QTableWidget

Parameters

  item | the new layer
  columnInfoLayer | a dictionnary with the fields and their types

def vizitown_plugin.vizitowndialog.VizitownDialog.calculate_size_extent | ( |  | self) |  |

calculate_size_extent method Calculate the width and the height in kilometers

def vizitown_plugin.vizitowndialog.VizitownDialog.closeEvent | ( |  | self,
|  |  | QCloseEvent
| ) |  |

closeEvent method Behavior whit a close event QtGui.QDialog

Parameters

  QCloseEvent |

def vizitown_plugin.vizitowndialog.VizitownDialog.get_gui_extent | ( |  | self) |  |

get_gui_extent method Get the extent specified in the GUI or if the fields filled by the user are incoherent it's the extent of current view of QGIS

Returns
  the extent

def vizitown_plugin.vizitowndialog.VizitownDialog.get_selected_layers | ( |  | self) |  |

get_selected_layers method Get all layers checked in the GUI and the associated informations

Returns
  the list of selected layers

def vizitown_plugin.vizitowndialog.VizitownDialog.get_size_tile | ( |  | self) |  |

get_size_tile method Get the size tile selected by the user

Returns
  the size tile

def vizitown_plugin.vizitowndialog.VizitownDialog.has_data | ( |  | self) |  |

has_data method Check if a data is generate or existing

Returns
  true if there is a least one data to generate or exist

def vizitown_plugin.vizitowndialog.VizitownDialog.has_dem | ( |  | self) |  |

has_dem method Check if a dem is generate

Returns
  true if there is a DEM to generate

def vizitown_plugin.vizitowndialog.VizitownDialog.has_raster | ( |  | self) |  |

has_raster method Check if a raster is generate

Returns
  true if there is a least one raster to generate

def vizitown_plugin.vizitowndialog.VizitownDialog.has_texture | ( |  | self) |  |

has_texture method Check if a texture is generate

Returns
  true if there is a texture to generate

def vizitown_plugin.vizitowndialog.VizitownDialog.has_vector | ( |  | self) |  |

has_vector method Check if a vector is existing

Returns
  true if there is a least one vector to exist

def vizitown_plugin.vizitowndialog.VizitownDialog.init_extent | ( |  | self,
|  |  | extent
| ) |  |

init_extent method Set the default extent

Parameters

  extent | the extent to init the parameter

def vizitown_plugin.vizitowndialog.VizitownDialog.init_layers | ( |  | self) |  |

init_layers method Init combobox and table layers

def vizitown_plugin.vizitowndialog.VizitownDialog.init_tile_size | ( |  | self) |  |

init_tile_size method Set the values of the tile by default

def vizitown_plugin.vizitowndialog.VizitownDialog.instantiate_providers | ( |  | self) |  |

instantiate_providers method Create providers in function of the existed data

def vizitown_plugin.vizitowndialog.VizitownDialog.on_btn_default_released | ( |  | self) |  |

on_btn_default_released method Set the tab advanced option by default QtGui.QDialog

def vizitown_plugin.vizitowndialog.VizitownDialog.on_btn_generate_released | ( |  | self) |  |

on_btn_generate_released method Generate and launch the rendering of the 3D scene QtGui.QDialog

def vizitown_plugin.vizitowndialog.VizitownDialog.reset_all_fields | ( |  | self) |  |

reset_all_fields method Reset all widgets

def vizitown_plugin.vizitowndialog.VizitownDialog.set_limit_sb | ( |  | self) |  |

set_limit_sb method Set the limit of the doublespinbox in the tab extent

## Member Data Documentation

vizitown_plugin.vizitowndialog.VizitownDialog.appServer

vizitown_plugin.vizitowndialog.VizitownDialog.appServerRunning

vizitown_plugin.vizitowndialog.VizitownDialog.extent

vizitown_plugin.vizitowndialog.VizitownDialog.GDALprocess

vizitown_plugin.vizitowndialog.VizitownDialog.parameters

vizitown_plugin.vizitowndialog.VizitownDialog.providerManager

vizitown_plugin.vizitowndialog.VizitownDialog.zoomLevel

The documentation for this class was generated from the following file:

- vizitowndialog.py